Debian Bug report logs - #501421
tack: FTBFS in lenny: configure: error: installation or configuration problem: C compiler cannot create executables.

version graph

Package: tack; Maintainer for tack is Samuel Bronson <naesten@gmail.com>; Source for tack is src:tack.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 7 Oct 2008 09:00:05 UTC

Severity: serious

Found in version tack/1.06-5

Fixed in version tack/1.06-6

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#501421; Package tack. (Tue, 07 Oct 2008 09:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. (Tue, 07 Oct 2008 09:00:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: tack: FTBFS in lenny: configure: error: installation or configuration problem: C compiler cannot create executables.
Date: Tue, 7 Oct 2008 10:54:09 +0200
Package: tack
Version: 1.06-5
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20081006 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in a lenny chroot, your package failed
to build on i386.

Relevant part:
>  /usr/bin/fakeroot debian/rules clean
> dpatch  deapply-all  
> 01-manpage not applied to ./ .
> rm -rf patch-stamp patch-stampT debian/patched
> dh_testdir
> dh_testroot
> rm -f build-stamp
> rm -f config.guess config.sub
> [ ! -f Makefile ] || /usr/bin/make distclean
> dh_clean
>  dpkg-source -b tack-1.06-5
> dpkg-source: warning: source directory 'tack-1.06-5' is not <sourcepackage>-<upstreamversion> 'tack-1.06'
> dpkg-source: warning: .orig directory name tack-1.06-5.orig is not <package>-<upstreamversion> (wanted tack-1.06.orig)
> dpkg-source: info: using source format `1.0'
> dpkg-source: info: building tack using existing tack_1.06.orig.tar.gz
> dpkg-source: info: building tack in tack_1.06-5.diff.gz
> dpkg-source: warning: executable mode 0755 of 'debian/patches/01-manpage.dpatch' will not be represented in diff
> dpkg-source: warning: ignoring deletion of file config.sub
> dpkg-source: warning: ignoring deletion of file config.guess
> dpkg-source: info: building tack in tack_1.06-5.dsc
>  debian/rules build
> test -d debian/patched || install -d debian/patched
> dpatch  apply-all  
> applying patch 01-manpage to ./ ... ok.
> dpatch  cat-all  >>patch-stampT
> mv -f patch-stampT patch-stamp
> dh_testdir
> cp -f /usr/share/misc/config.sub config.sub
> cp -f /usr/share/misc/config.guess config.guess
> CFLAGS="-Wall -g -O2" LDFLAGS="-Wl,-z,defs,-ltic" ./configure --host=i486-linux-gnu --build=i486-linux-gnu --prefix=/usr --mandir=\${prefix}/share/man
> creating cache ./config.cache
> checking host system type... i486-pc-linux-gnu
> Configuring for linux-gnu
> checking whether make sets ${MAKE}... yes
> checking for gcc... gcc
> checking whether the C compiler (gcc -Wall -g -O2 -Wl,-z,defs,-ltic) works... no
> configure: error: installation or configuration problem: C compiler cannot create executables.
> make: *** [config.status] Error 1

The full build log is available from:
   http://newpeople.debian.org/~lucas/logs/2008/10/06

It is possible that your package builds fine in sid, but you should make sure
that your package also builds fine in lenny before the release.

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#501421; Package tack. (Tue, 07 Oct 2008 12:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Tue, 07 Oct 2008 12:12:07 GMT) Full text and rfc822 format available.

Message #10 received at 501421@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 501421@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>
Subject: Re: Bug#501421: tack: FTBFS in lenny: configure: error: installation or configuration problem: C compiler cannot create executables.
Date: Tue, 07 Oct 2008 13:14:49 +0200
Lucas Nussbaum wrote:
>> checking whether the C compiler (gcc -Wall -g -O2 -Wl,-z,defs,-ltic) works... no
>> configure: error: installation or configuration problem: C compiler cannot create executables.
>> make: *** [config.status] Error 1

hmm, even when removing 'defs' from LDFLAGS, it fails to build (for
different reason).. will have to investigate.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#501421; Package tack. (Tue, 07 Oct 2008 18:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Tue, 07 Oct 2008 18:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 501421@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 501421@bugs.debian.org
Subject: Specify the -l flags to $(MAKE) directly
Date: Tue, 7 Oct 2008 19:19:08 +0100
[Message part 1 (text/plain, inline)]
Removing the -ltic from the LDFLAGS variable exported prior
to ./configure and instead passing it directly to $(MAKE) allows
libtool to link tack correctly.

I've just built tack by removing -ltic from the variable exported
to ./configure, using this line in debian/rules:

$(MAKE) LDFLAGS="-ltic -lncurses"

The problem is the need to add ncurses which is plain ugly. I suspect
an upstream bug. Maybe stop copying config.guess and config.sub and
actually use 'autoreconf -ifs' to sort out the autoconf problems from
upstream, although that looks like it will need a patch for
configure.in. I suspect upstream are not testing the release with 'make
distcheck'.

$ autoreconf -ifs
autoheader: warning: missing template: CC_HAS_PROTOS
autoheader: Use AC_DEFINE([CC_HAS_PROTOS], [], [Description])
autoheader: warning: missing template: HAVE_NCURSESW_NCURSES_H
autoheader: warning: missing template: HAVE_NCURSESW_TERM_H
autoheader: warning: missing template: HAVE_NCURSES_H
autoheader: warning: missing template: HAVE_NCURSES_NCURSES_H
autoheader: warning: missing template: HAVE_NCURSES_TERM_H
autoheader: warning: missing template: HAVE_SYS_TIME_SELECT
autoheader: warning: missing template: HAVE_TERM_H
autoheader: warning: missing template: MIXEDCASE_FILENAMES
autoheader: warning: missing template: NCURSES
autoheader: warning: missing template: NO_LEAKS
autoheader: warning: missing template: SIG_ATOMIC_T
autoheader: warning: missing template: SYSTEM_NAME
autoheader: warning: missing template: USE_DBMALLOC
autoheader: warning: missing template: USE_DMALLOC
autoheader: warning: missing template: USE_VALGRIND
autoreconf: /usr/bin/autoheader failed with exit status: 1

Maybe use the hack for Lenny and talk to upstream about a proper fix
using the autoconf tools to make their configure.in code correct.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#501421; Package tack. (Wed, 08 Oct 2008 00:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Wed, 08 Oct 2008 00:12:02 GMT) Full text and rfc822 format available.

Message #20 received at 501421@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Neil Williams <codehelp@debian.org>, 501421@bugs.debian.org
Subject: Re: Bug#501421: Specify the -l flags to $(MAKE) directly
Date: Tue, 7 Oct 2008 20:09:13 -0400
[Message part 1 (text/plain, inline)]
On Tue, Oct 07, 2008 at 08:30:07PM +0200, Neil Williams wrote:
> Removing the -ltic from the LDFLAGS variable exported prior
> to ./configure and instead passing it directly to $(MAKE) allows
> libtool to link tack correctly.

hmm -- last I knew, Debian isn't using the libtool configuration for
ncurses or tack.
 
> I've just built tack by removing -ltic from the variable exported
> to ./configure, using this line in debian/rules:
> 
> $(MAKE) LDFLAGS="-ltic -lncurses"
> 
> The problem is the need to add ncurses which is plain ugly. I suspect
> an upstream bug. Maybe stop copying config.guess and config.sub and

I usually start by assuming the answer's in the changelog.
Sounds like

20080823
        + modify configure script for the case where tic library is used (and
          possibly renamed) to remove its dependency upon ncurses/ncursew
          library (patch by Dr Werner Fink).

> actually use 'autoreconf -ifs' to sort out the autoconf problems from
> upstream, although that looks like it will need a patch for
> configure.in. I suspect upstream are not testing the release with 'make
> distcheck'.

that ought to be an faq (but the comments in configure.in should be
sufficient).

bye.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 08 Oct 2008 07:09:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 08 Oct 2008 07:09:04 GMT) Full text and rfc822 format available.

Message #25 received at 501421-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 501421-close@bugs.debian.org
Subject: Bug#501421: fixed in tack 1.06-6
Date: Wed, 08 Oct 2008 07:02:05 +0000
Source: tack
Source-Version: 1.06-6

We believe that the bug you reported is fixed in the latest version of
tack, which is due to be installed in the Debian FTP archive:

tack-dbg_1.06-6_i386.deb
  to pool/main/t/tack/tack-dbg_1.06-6_i386.deb
tack_1.06-6.diff.gz
  to pool/main/t/tack/tack_1.06-6.diff.gz
tack_1.06-6.dsc
  to pool/main/t/tack/tack_1.06-6.dsc
tack_1.06-6_i386.deb
  to pool/main/t/tack/tack_1.06-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 501421@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated tack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed,  8 Oct 2008 08:48:00 +0200
Source: tack
Binary: tack tack-dbg
Architecture: source i386
Version: 1.06-6
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 tack       - terminfo action checker
 tack-dbg   - terminfo action checker (debug)
Closes: 501421
Changes: 
 tack (1.06-6) unstable; urgency=low
 .
   * Correcting indenting in copyright file.
   * Updatingto debhelper 7.
   * Updating to standards 3.8.0.
   * Updating vcs fields in control file.
   * Using patch-stamp rather than patch in rules file.
   * Updating cross handling in rules file.
   * Temporary passing -ltic and -lncurses in LDFLAGS directly to the
     make call rather than to configure, thanks to Neil Williams
     <codehelp@debian.org> (Closes: #501421).
Checksums-Sha1: 
 d6c7f62e569e7204b686dac7bf5470a17d3f11ac 1135 tack_1.06-6.dsc
 6f7d0dd8055590580d81c67978753334c816b848 2570 tack_1.06-6.diff.gz
 52afbcc7ad0866dcd24f31c2f68704bade122088 71502 tack_1.06-6_i386.deb
 611989bb78f124f5d5670b16a1a5d94b66b6eaa6 71350 tack-dbg_1.06-6_i386.deb
Checksums-Sha256: 
 fb72e9fb7d3996d6667a1d1cb11a79be8370f63c8885856ec18165f0b11c21bf 1135 tack_1.06-6.dsc
 c109b313c41d17b213b60af727fa1fd79b1ce6c83a7fe491426cc1a0cbbe5bcc 2570 tack_1.06-6.diff.gz
 736879515adf874ed668e43d9bdc1cded46262cd631c81d5e39a25a627fcc1ae 71502 tack_1.06-6_i386.deb
 16fdd163075e097d502d5497ca85187e3620f2b36218954aebc9eebfebbc42ac 71350 tack-dbg_1.06-6_i386.deb
Files: 
 e41497dd414eeb9b524f967ab64e6699 1135 misc optional tack_1.06-6.dsc
 64970205f0e78b0e0f6455c0dc2ba9d5 2570 misc optional tack_1.06-6.diff.gz
 c3dfa705886103de7133905f11f30362 71502 misc optional tack_1.06-6_i386.deb
 01550599b022ae4cdd5399eb04ba6a95 71350 devel extra tack-dbg_1.06-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjsWAkACgkQ+C5cwEsrK56y2wCcDDoUPuagWBFM6Y3mYs9UCoZX
MoEAoLUHN0azhAr9soLLmeiJFYjKNQVt
=EWOP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 07:44:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:45:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.